<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
	<title>Login</title>
	<link th:href="@{'https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css'}" rel="stylesheet">
	<style>
		body {
			display: flex;
			align-items: center;
			justify-content: center;
			height: 100vh;
			background-color: #f8f9fa;
		}
		.form-signin {
			width: 100%;
			max-width: 330px;
			padding: 15px;
			margin: auto;
		}
		.form-signin img {
			margin-bottom: 15px;
		}
	</style>
</head>
<body>
<main class="form-signin text-center">
	<form th:action="@{/auth/login}" th:object="${loginDto}" method="post">
		<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-activity" viewBox="0 0 16 16">
			<path fill-rule="evenodd" d="M6 2a.5.5 0 0 1 .47.33L10 12.036l1.53-4.208A.5.5 0 0 1 12 7.5h3.5a.5.5 0 0 1 0 1h-3.15l-1.88 5.17a.5.5 0 0 1-.94 0L6 3.964 4.47 8.171A.5.5 0 0 1 4 8.5H.5a.5.5 0 0 1 0-1h3.15l1.88-5.17A.5.5 0 0 1 6 2"/>
		</svg>
		<h1 class="h3 mb-3 fw-normal">Please sign in</h1>

		<div class="form-floating mb-3">
			<input type="email" th:field="*{username}" class="form-control" id="floatingInput" placeholder="name@example.com" required>
			<label for="floatingInput">Email address</label>
		</div>
		<div class="form-floating mb-3">
			<input type="password" th:field="*{password}" class="form-control" id="floatingPassword" placeholder="Password" required>
			<label for="floatingPassword">Password</label>
		</div>
		<button class="w-100 btn btn-lg btn-primary" type="submit">Sign in</button>
		<p class="mt-5 mb-3 text-muted">&copy; 2024</p>
	</form>
</main>
</body>
</html>
